
QGIS Application - Bug report #20906

QGIS crashes after saving attribute form style (or digitising a feature) or after customising the drag 

and drop designer

2019-01-02 12:32 PM - Ryan Bell

Status: Open

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.4.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28725

Description

User Feedback

Repeatable crash when saving attribute form style (or digitising a feature) after customising the drag and drop designer. This is occurring

for point and line features and was occurring for polygons too but I somehow got round it.

Report Details

Crash ID: 26ad2e5afad36aeebd613ee938cf0231af557f85

Stack Trace

QGridLayoutEngine::rowCount :

QTextEngine::itemize :

QTextLayout::beginLayout :

QWidgetLineControl::redoTextLayout :

QWidgetLineControl::updateDisplayText :

QLineEdit::changeEvent :

QWidget::event :

QLineEdit::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QMainWindow::trUtf8 :

QHeaderView::setMovable :

QHeaderView::logicalIndexAt :

QMainWindow::trUtf8 :

QHeaderView::logicalIndexAt :

QWidget::setStyleSheet :

QgsFilterLineEdit::onTextChanged :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsFileWidget::setFilePath :

QgsExternalResourceWidget::setDocumentPath :

QgsExternalResourceWidgetWrapper::setValue :

2024-04-28 1/92



QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :
QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :
QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :
QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :
QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :
QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :
QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :
QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :
QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :
QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :
QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :
QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :
QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :
QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :
QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :
QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :
QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :
QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

2024-04-28 85/92



QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :
QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :
QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :
QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsExternalResourceWidgetWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsAttributeForm::QgsAttributeForm :

QgsAttributeDialog::init :

QgsAttributeDialog::QgsAttributeDialog :

QgsFeatureAction::newDialog :

QgsFeatureAction::addFeature :

QgsMapToolAddFeature::addFeature :

QgsMapToolAddFeature::digitized :

QgsMapToolDigitizeFeature::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-02 01:25 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Update to 3.4.3

Try with a new/clean profile (no 3rd party plugins installed).

#2 - 2019-01-02 02:40 PM - Ryan Bell

- Assignee set to Giovanni Manghi

Giovanni Manghi wrote:

Update to 3.4.3

Try with a new/clean profile (no 3rd party plugins installed).

Thanks for the advice. I have updated to 3.4.3 and repeated with a new profile and no plugins installed but unfortunately the crash still occurs. This

happens with points, lines and polygons and only crashes after using the drag and drop designer (saving/reopening a saved .qml and then trying to

digitise).

#3 - 2019-01-02 02:41 PM - Giovanni Manghi

Ryan Bell wrote:
Giovanni Manghi wrote:

Update to 3.4.3

Try with a new/clean profile (no 3rd party plugins installed).

Thanks for the advice. I have updated to 3.4.3 and repeated with a new profile and no plugins installed but unfortunately the crash still occurs. This

happens with points, lines and polygons and only crashes after using the drag and drop designer (saving/reopening a saved .qml and then trying to

digitise).

please share a minimal project (with data) and the qml.

#4 - 2019-01-02 02:50 PM - Ryan Bell

- File gy14rb.zip added

Giovanni Manghi wrote:

Ryan Bell wrote:

Giovanni Manghi wrote:

Update to 3.4.3

Try with a new/clean profile (no 3rd party plugins installed).

Thanks for the advice. I have updated to 3.4.3 and repeated with a new profile and no plugins installed but unfortunately the crash still occurs. This

happens with points, lines and polygons and only crashes after using the drag and drop designer (saving/reopening a saved .qml and then trying to

digitise).

please share a minimal project (with data) and the qml.

Please see attached

#5 - 2019-01-02 04:31 PM - Giovanni Manghi

- Subject changed from Saving attribute form style (or digitising a feature) after customising the drag and drop designer to QGIS crashes after saving 

attribute form style (or digitising a feature) or after customising the drag and drop designer

- Category changed from Attribute table to Vectors

- Regression? changed from Yes to No

- Affected QGIS version changed from 3.4.0 to 3.4.3

- Assignee deleted (Giovanni Manghi)

- Status changed from Feedback to Open

Confirmed here on 3.4.3 on a clean Windows 7/10 environment and Linux (Ubuntu 18.04) as well.

#6 - 2019-01-07 03:29 PM - Ryan Bell

- Assignee set to Giovanni Manghi
Giovanni Manghi wrote:

Confirmed here on 3.4.3 on a clean Windows 7/10 environment and Linux (Ubuntu 18.04) as well.

Thanks Giovanni. Is this a bug that is likely to be fixed?

#7 - 2019-05-22 11:11 AM - Alexander Bruy

- Assignee deleted (Giovanni Manghi)

Files

gy14rb.zip 10.3 KB 2019-01-02 Ryan Bell
